gcp {gap} | R Documentation

## Permutation tests using GENECOUNTING

### Description

This function is a R port of the GENECOUNTING/PERMUTE program which generates EHPLUS-type statistics including z-tests for individual haplotypes

### Usage

    gcp(y, cc, g, handle.miss=1, miss.val=0, n.sim=0,
           locus.label=NULL, quietly=FALSE)

### Arguments

`y` | A column of 0/1 indicating cases and controls
`cc` | analysis indicator, 0 = marker-marker, 1 = case-control
`g` | the multilocus genotype data
`handle.miss` | a flag with value 1 indicating missing data are allowed
`miss.val` | missing value
`n.sim` | the number of permutations
`locus.label` | label of each locus
`quietly` | a flag if TRUE will suppress the screen output

### Value

The returned value is a list containing (p.sim and ph when n.sim > 0):

`x2obs` | the observed chi-squared statistic
`pobs` | the associated p value
`zobs` | the observed z value for individual haplotypes
`p.sim` | simulated p value for the global chi-squared statistic
`ph` | simulated p values for individual haplotypes

### References

Zhao JH, Curtis D, Sham PC (2000). Model-free analysis and permutation tests for allelic associations. Human Heredity 50(2): 133-139

Zhao JH (2004). 2LD, GENECOUNTING and HAP: Computer programs for linkage disequilibrium analysis. Bioinformatics 20: 1325-1326

Zhao JH, Qian WD Association analysis of unrelated individuals using polymorphic genetic markers – methods, implementation and application, Royal Statistical Society 2003, Hassallt-Diepenbeek, Belgium.

### Note

Built on gcp.c

### Author(s)

Jing Hua Zhao

### See Also

`genecounting`

### Examples

    ## Not run:

    data(fsnps)
    y<-fsnps$y
    cc<-1
    g<-fsnps[,3:10]

    gcp(y,cc,g,miss.val="Z",n.sim=5)
    hap.score(y,g,method="hap",miss.val="Z")

    ## End(Not run)

[Package gap version 1.2.1 Index]